curl --request POST \
--url https://clientapi.woku.app/v1/report-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scopeId": "<string>",
"recipients": [
"<string>"
],
"includeCsv": true,
"locale": "es",
"sendAt": "<string>",
"periodFrom": "<string>",
"periodTo": "<string>"
}
'import requests
url = "https://clientapi.woku.app/v1/report-subscriptions"
payload = {
"scopeId": "<string>",
"recipients": ["<string>"],
"includeCsv": True,
"locale": "es",
"sendAt": "<string>",
"periodFrom": "<string>",
"periodTo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scopeId: '<string>',
recipients: ['<string>'],
includeCsv: true,
locale: 'es',
sendAt: '<string>',
periodFrom: '<string>',
periodTo: '<string>'
})
};
fetch('https://clientapi.woku.app/v1/report-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://clientapi.woku.app/v1/report-subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scopeId' => '<string>',
'recipients' => [
'<string>'
],
'includeCsv' => true,
'locale' => 'es',
'sendAt' => '<string>',
'periodFrom' => '<string>',
'periodTo' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://clientapi.woku.app/v1/report-subscriptions"
payload := strings.NewReader("{\n \"scopeId\": \"<string>\",\n \"recipients\": [\n \"<string>\"\n ],\n \"includeCsv\": true,\n \"locale\": \"es\",\n \"sendAt\": \"<string>\",\n \"periodFrom\": \"<string>\",\n \"periodTo\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://clientapi.woku.app/v1/report-subscriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scopeId\": \"<string>\",\n \"recipients\": [\n \"<string>\"\n ],\n \"includeCsv\": true,\n \"locale\": \"es\",\n \"sendAt\": \"<string>\",\n \"periodFrom\": \"<string>\",\n \"periodTo\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://clientapi.woku.app/v1/report-subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scopeId\": \"<string>\",\n \"recipients\": [\n \"<string>\"\n ],\n \"includeCsv\": true,\n \"locale\": \"es\",\n \"sendAt\": \"<string>\",\n \"periodFrom\": \"<string>\",\n \"periodTo\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"statusCode": 400,
"message": [
"email must be a valid email",
"password must be at least 8 characters"
],
"error": "Bad Request"
}Programar el envío de un reporte por correo
Envía por correo el reporte PDF de una carpeta (todas las herramientas de su subárbol, opcionalmente con el CSV) o de una herramienta a hasta 10 destinatarios fuera de woku. monthly (día 1), biweekly (días 1 y 16) y weekly (lunes) salen a las 12:00 UTC con el período anterior completo; once sale en sendAt (o ahora) con periodFrom/periodTo. Cada correo sale a nombre de la empresa y trae un enlace de baja en un clic.
curl --request POST \
--url https://clientapi.woku.app/v1/report-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scopeId": "<string>",
"recipients": [
"<string>"
],
"includeCsv": true,
"locale": "es",
"sendAt": "<string>",
"periodFrom": "<string>",
"periodTo": "<string>"
}
'import requests
url = "https://clientapi.woku.app/v1/report-subscriptions"
payload = {
"scopeId": "<string>",
"recipients": ["<string>"],
"includeCsv": True,
"locale": "es",
"sendAt": "<string>",
"periodFrom": "<string>",
"periodTo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scopeId: '<string>',
recipients: ['<string>'],
includeCsv: true,
locale: 'es',
sendAt: '<string>',
periodFrom: '<string>',
periodTo: '<string>'
})
};
fetch('https://clientapi.woku.app/v1/report-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://clientapi.woku.app/v1/report-subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scopeId' => '<string>',
'recipients' => [
'<string>'
],
'includeCsv' => true,
'locale' => 'es',
'sendAt' => '<string>',
'periodFrom' => '<string>',
'periodTo' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://clientapi.woku.app/v1/report-subscriptions"
payload := strings.NewReader("{\n \"scopeId\": \"<string>\",\n \"recipients\": [\n \"<string>\"\n ],\n \"includeCsv\": true,\n \"locale\": \"es\",\n \"sendAt\": \"<string>\",\n \"periodFrom\": \"<string>\",\n \"periodTo\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://clientapi.woku.app/v1/report-subscriptions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scopeId\": \"<string>\",\n \"recipients\": [\n \"<string>\"\n ],\n \"includeCsv\": true,\n \"locale\": \"es\",\n \"sendAt\": \"<string>\",\n \"periodFrom\": \"<string>\",\n \"periodTo\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://clientapi.woku.app/v1/report-subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scopeId\": \"<string>\",\n \"recipients\": [\n \"<string>\"\n ],\n \"includeCsv\": true,\n \"locale\": \"es\",\n \"sendAt\": \"<string>\",\n \"periodFrom\": \"<string>\",\n \"periodTo\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"statusCode": 400,
"message": [
"email must be a valid email",
"password must be at least 8 characters"
],
"error": "Bad Request"
}Autorizaciones
Clave API secreta de la empresa.
Cuerpo
folder, woku, nps, csat, ces Id de la carpeta o herramienta
monthly (día 1), biweekly (días 1 y 16), weekly (lunes) a las 12:00 UTC con el período anterior completo, u once
monthly, biweekly, weekly, once Correos de los destinatarios, de 1 a 10; no necesitan cuenta en woku
Solo carpetas: adjunta también el CSV
es, en Solo once: cuándo enviarlo (ISO); sin valor = ahora
Solo once: inicio del período (ISO)
Solo once: fin del período (ISO, exclusivo)
Respuesta
Envío programado creado